////////////////////////////////////////////////////////////////////////////
// CTEDrawPopup クラスのインタフェース宣言
// ドローウィジット上に表示される右クリックのメニューを実装
////////////////////////////////////////////////////////////////////////////

#if !defined( TEDRAWPOPUP_H_INCLUDED_ )
#define TEDRAWPOPUP_H_INCLUDED_

#include "output/gui.h"

#include "TaEdit_std.h"

class CTEDrawPopup : public CPopupMenu
{
public:
	CTEDrawPopup();
	~CTEDrawPopup();

	// 表示
	void Popup( XButtonPressedEvent* event );

protected:
	void OnUndo( Widget w, XtPointer event );
	void OnRedo( Widget w, XtPointer event );
	void OnCut( Widget w, XtPointer event );
	void OnCopy( Widget w, XtPointer event );
	void OnPaste( Widget w, XtPointer event );
};

#endif // TEDRAWPOPUP_H_INCLUDED_

